package com.zm.order.tool.server.model;


import com.zm.order.tool.server.utils.JacksonUtils;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author nianchang
 * @date 2024/03/21 5:14 下午
 */
public class TakeawayIndexOrder extends BaseIndexOrder {

    private static final long serialVersionUID = 1514644313431301504L;

    /**
     * 是否退款
     * 0：否
     * 1：是
     */
    private Integer refundCompleted;

    /**
     * 全局搜索
     */
    private String globalSearch;

    /**
     * 桌位名称
     */
    private String seatName;

    /**
     * 同步ERP异常标识
     * 0：未异常
     * 1：异常
     */
    private Integer syncErpError;

    /**
     * 商品类型
     */
    private List<Integer> itemTypeList;

    /**
     * 支付方式列表
     */
    private List<Integer> payTypeList;

    /**
     * 配送状态
     */
    private Integer deliveryStatus;

    /**
     * 搜索支付金额
     */
    private Integer searchActualAmount;

    /**
     * 拼团状态
     */
    private String groupStatus;

    /**
     * 使用钱包金额
     */
    private Integer searchWalletAmount;

    /**
     * 收货人手机号
     */
    private String receiverMobile;

    /**
     * 支付金额
     */
    private Integer amount;

    /**
     * 账单号
     */
    private String billNo;

    /**
     * 第三方支付单号
     */
    private String thirdPayNo;

    /**
     * 商品ID列表
     */
    private List<String> itemIdList;

    /**
     * 订单子状态
     */
    private Integer subStatus;

    /**
     * 订单完成时间
     */
    private Date searchCompletedAt;

    /**
     * 预约时间
     */
    private Date reserveTime;

    public Date getReserveTime() {
        return reserveTime;
    }

    public void setReserveTime(Date reserveTime) {
        this.reserveTime = reserveTime;
    }

    public Integer getRefundCompleted() {
        return refundCompleted;
    }

    public void setRefundCompleted(Integer refundCompleted) {
        this.refundCompleted = refundCompleted;
    }

    public String getGlobalSearch() {
        return globalSearch;
    }

    public void setGlobalSearch(String globalSearch) {
        this.globalSearch = globalSearch;
    }

    public String getSeatName() {
        return seatName;
    }

    public void setSeatName(String seatName) {
        this.seatName = seatName;
    }

    public Integer getSyncErpError() {
        return syncErpError;
    }

    public void setSyncErpError(Integer syncErpError) {
        this.syncErpError = syncErpError;
    }

    public List<Integer> getItemTypeList() {
        return itemTypeList;
    }

    public void setItemTypeList(List<Integer> itemTypeList) {
        this.itemTypeList = itemTypeList;
    }

    public List<Integer> getPayTypeList() {
        return payTypeList;
    }

    public void setPayTypeList(List<Integer> payTypeList) {
        this.payTypeList = payTypeList;
    }

    public Integer getDeliveryStatus() {
        return deliveryStatus;
    }

    public void setDeliveryStatus(Integer deliveryStatus) {
        this.deliveryStatus = deliveryStatus;
    }

    public Integer getSearchActualAmount() {
        return searchActualAmount;
    }

    public void setSearchActualAmount(Integer searchActualAmount) {
        this.searchActualAmount = searchActualAmount;
    }

    public String getGroupStatus() {
        return groupStatus;
    }

    public void setGroupStatus(String groupStatus) {
        this.groupStatus = groupStatus;
    }

    public Integer getSearchWalletAmount() {
        return searchWalletAmount;
    }

    public void setSearchWalletAmount(Integer searchWalletAmount) {
        this.searchWalletAmount = searchWalletAmount;
    }

    public String getReceiverMobile() {
        return receiverMobile;
    }

    public void setReceiverMobile(String receiverMobile) {
        this.receiverMobile = receiverMobile;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getThirdPayNo() {
        return thirdPayNo;
    }

    public void setThirdPayNo(String thirdPayNo) {
        this.thirdPayNo = thirdPayNo;
    }

    public List<String> getItemIdList() {
        return itemIdList;
    }

    public void setItemIdList(List<String> itemIdList) {
        this.itemIdList = itemIdList;
    }

    public Integer getSubStatus() {
        return subStatus;
    }

    public void setSubStatus(Integer subStatus) {
        this.subStatus = subStatus;
    }

    public Date getSearchCompletedAt() {
        return searchCompletedAt;
    }

    public void setSearchCompletedAt(Date searchCompletedAt) {
        this.searchCompletedAt = searchCompletedAt;
    }

    @Override
    public String toString() {
        return JacksonUtils.toJsonString(this);
    }
}
